-- 古镇秘藏 格子Item
Lua_TownTreasureCellItem = class("Lua_TownTreasureCellItem", Lua_DisplayObject);

function Lua_TownTreasureCellItem:ctor(p)
    self:superCall("ctor", p, "TownTreasureCellItem_skin");
end

function Lua_TownTreasureCellItem:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_TownTreasureCellItem:dispose()
	self:superCall("dispose");
end

function Lua_TownTreasureCellItem:setData(data)
    self.data = data;

    if self.isFirstIn == nil then
        self.isFirstIn = false;

        self.content.name = data.id;

        self.bg:setAltas(data.icon_res[1], data.icon_res[2]);
        if data.build_bind_id ~= nil then
            -- self.bg:resetSize();
            self.bg:SetDimensions(120, 120);
        else
            self.bg:SetDimensions(data.cellWidth, data.cellHight);
        end
        self:setLocation(data.posX , -data.posY);
        self:setRectAnchor(0);
    end
end

function Lua_TownTreasureCellItem:checkInBound(touchX, touchY)
    if self.data.build_bind_id == nil then
        return false;
    end

    local posX = self.posX or 0
    local posY = self.posY or 0
    local width = self.bg.width / 2;
    local height = self.bg.height / 2;
    local minX = posX - width;
    local maxX = posX + width;
    local minY = posY - height;
    local maxY = posY + height;
    if touchX >= minX and touchX <= maxX and touchY >= minY and touchY <= maxY then
        return true;
    end
    return false;
end

function Lua_TownTreasureCellItem:onCellClick()
    print(self.data.id,"ssssssssssss")
end